<!-- ============================================================== -->
<!-- sidebar -->
<!-- ============================================================== -->
<!-- div class="user-profile" style="background: url(assets/images/background/user-info.jpg) no-repeat;">

    <div class="profile-img"> <img src="assets/images/users/profile.png" alt="user"> </div>

    <div class="profile-text"><a [matMenuTriggerFor]="sdprofile" class=""> Markarn Doee <i class="ti-angle-down font-12 m-l-5"></i></a></div> -->
<!-- <mat-tree [dataSource]="dataSource" [treeControl]="treeControl" class="example-tree">
  <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle>
      {{node.name}}
  </mat-tree-node>
  <mat-nested-tree-node *matTreeNodeDef="let node; when: hasChild">
      <div class="mat-tree-node">
        <button mat-icon-button matTreeNodeToggle
                [attr.aria-label]="'Toggle ' + node.name">
          <mat-icon class="mat-icon-rtl-mirror">
            {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
          </mat-icon>
        </button>
        {{node.name}}
      </div>
      <div [class.example-tree-invisible]="!treeControl.isExpanded(node)"
          role="group">
        <ng-container matTreeNodeOutlet></ng-container>
    </div>
  </mat-nested-tree-node>
</mat-tree> -->
<mat-label style="margin-left: 10px;">choisissez un group</mat-label>

      
          <igx-tree class="tree-root" style="margin-left: 1px;">
              <igx-tree-node style="margin-left: 1px;" *ngFor="let type of result">
                <a igxTreeNodeLink [routerLink]="'group/'+[type.id]">
                  {{ type.name }}
                </a>
                  <igx-tree-node *ngFor="let child of type.children">
                    <a igxTreeNodeLink [routerLink]="'group/'+[child.id]">
                      {{ child.name }}
                    </a>
                      <igx-tree-node *ngFor="let childs of child.children ">
                        <a igxTreeNodeLink [routerLink]="'group/'+[childs.id]">
                          {{ childs.name }}
                        </a>
                        <igx-tree-node *ngFor="let childss of childs.children ">
                          <a igxTreeNodeLink [routerLink]="'group/'+[childss.id]">
                            {{ childss.name }}
                          </a>
                        </igx-tree-node>
                      </igx-tree-node>
                  </igx-tree-node>
              </igx-tree-node>
          </igx-tree>
        




<!-- <igx-tree>
  <igx-tree-node *ngFor="let node of result" >
      {{ node.name }}
      <igx-tree-node *ngFor="let child of node.children">
          {{ child.name }}
      </igx-tree-node>
  </igx-tree-node>
</igx-tree>
 -->


 

     



<!-- <mat-nav-list appAccordion>
    <mat-list-item appAccordionLink *ngFor="let menuitem of menuItems.getMenuitem()" routerLinkActive="selected" group="dashboard">
        <a class="" appAccordionToggle [routerLink]="'group/'+[menuitem.id]">
            <mat-icon>folder</mat-icon> 
            <span style="font-size: 12.8px;">{{ menuitem.name }}</span> 
            <span fxFlex></span> 
            <span class="label label-{{ badge.type }}" *ngFor="let badge of menuitem.badge">{{ badge.value }}</span> 
        </a>

        
    </mat-list-item>

</mat-nav-list> -->